#!/bin/sh

EXECUTABLE=./bin/dslink-cpp-modbus

# Check own file permission and set execute flag to speed up start 
if [ ! -x $0 ]; then
    chmod ugo+x $0
fi

# Check binary execute flag and correct the flag
if [ ! -x ${EXECUTABLE} ]; then
    chmod ugo+x ${EXECUTABLE}
fi

export LD_LIBRARY_PATH=./lib:$LD_LIBRARY_PATH

exec ${EXECUTABLE} $*
